org.jgrapht

## Interface EdgeFactory<V,E>

- All Known Implementing Classes:
    ClassBasedEdgeFactory

      public interface EdgeFactory<V,E>

  An edge factory used by graphs for creating new edges.
  Since:
    Jul 14, 2003
  Author:
    Barak Naveh

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `createEdge(V sourceVertex, V targetVertex)` Creates a new edge whose endpoints are the specified source and target vertices.

- - ### Method Detail

    - #### createEdge

          E createEdge(V sourceVertex,
                     V targetVertex)

      Creates a new edge whose endpoints are the specified source and target vertices.
      Parameters:
        `sourceVertex` - the source vertex.
        `targetVertex` - the target vertex.
      Returns:
        a new edge whose endpoints are the specified source and target vertices.

Copyright © 2016. All rights reserved.